{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "bookUsr2MPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr2MPickupView.json",
  "name" : "bookUsr2MPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MPickupView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr2MPickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "caption" : "书",
      "codeName" : "bookPickupTreeView",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookPickupTreeView.json",
      "mDCtrlActiveMode" : 2,
      "name" : "bookPickupTreeView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSAppModule" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "PickupTreeView",
        "name" : "engine"
      } ],
      "getPSControls" : [ {
        "codeName" : "TreeTest",
        "controlType" : "TREEVIEW",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSTREEVIEWS/TreeTest.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        },
        "logicName" : "树测试",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "树视图处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "ctrlParams" : {
            "CASCADESELECT" : "true"
          },
          "id" : "TREE"
        },
        "getPSControls" : [ {
          "codeName" : "PickupTreeViewdyna_cm",
          "controlType" : "CONTEXTMENU",
          "logicName" : "树节点上下文菜单测试",
          "name" : "dyna_cm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSControlParam" : {
            "id" : "dyna_cm"
          },
          "getPSDEToolbarItems" : [ {
            "caption" : "打开表格视图",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "dyna_cm_deuiaction1"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "打开主数据视图",
              "codeName" : "open_main_view",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
                "viewType" : "DEGRIDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "Book_open_main_view",
              "name" : "打开主数据视图",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "open_main_view",
              "uIActionType" : "DEUIACTION",
              "id" : "open_main_view@Book"
            },
            "tooltip" : "打开表格视图",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "toolbarStyle" : "CONTEXTMENU",
          "modelid" : "EB469104-357A-4353-A786-F92DCE939107",
          "modeltype" : "PSDETOOLBAR"
        } ],
        "getPSDETreeNodeRSs" : [ {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "dmb"
          },
          "name" : "默认根节点 - 代码表",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "ROOT"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "daimab"
          },
          "name" : "代码表 - 代码表数据",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "dmb"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "dyna"
          },
          "name" : "图书 - book数据",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "book"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        }, {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "book"
          },
          "name" : "默认根节点 - 图书",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "ROOT"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        } ],
        "getPSDETreeNodes" : [ {
          "counterMode" : 0,
          "name" : "默认根节点",
          "nodeType" : "ROOT",
          "nodeValue" : "root",
          "text" : "默认根节点",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : true,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "ROOT"
        }, {
          "counterMode" : 0,
          "name" : "图书",
          "nodeType" : "book",
          "nodeValue" : "ts",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "text" : "图书",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : true,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "book"
        }, {
          "counterMode" : 0,
          "name" : "代码表数据",
          "nodeType" : "daimab",
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__PhoneType.json"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "treeNodeType" : "CODELIST",
          "hasPSDETreeNodeRSs" : false,
          "appendCaption" : false,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "daimab"
        }, {
          "counterMode" : 0,
          "name" : "代码表",
          "nodeType" : "dmb",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "text" : "代码表",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : true,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "dmb"
        }, {
          "counterMode" : 0,
          "dataSourceType" : "DEDATASET",
          "getIdPSAppDEField" : {
            "name" : "BOOKID",
            "codeName" : "BookId"
          },
          "maxSize" : -1,
          "name" : "book数据",
          "nodeType" : "dyna",
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "getPSDEContextMenu" : {
            "codeName" : "PickupTreeViewdyna_cm",
            "controlType" : "CONTEXTMENU",
            "logicName" : "树节点上下文菜单测试",
            "name" : "dyna_cm",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlParam" : {
              "id" : "dyna_cm"
            },
            "getPSDEToolbarItems" : [ {
              "caption" : "打开表格视图",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "dyna_cm_deuiaction1"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "打开主数据视图",
                "codeName" : "open_main_view",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
                  "viewType" : "DEGRIDVIEW"
                },
                "frontProcessType" : "TOP",
                "fullCodeName" : "Book_open_main_view",
                "name" : "打开主数据视图",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "open_main_view",
                "uIActionType" : "DEUIACTION",
                "id" : "open_main_view@Book"
              },
              "tooltip" : "打开表格视图",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "toolbarStyle" : "CONTEXTMENU",
            "modelid" : "EB469104-357A-4353-A786-F92DCE939107",
            "modeltype" : "PSDETOOLBAR"
          },
          "getTextPSAppDEField" : {
            "name" : "BOOKNAME",
            "codeName" : "BookName"
          },
          "treeNodeType" : "DE",
          "hasPSDETreeNodeRSs" : false,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : false,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "dyna"
        } ],
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        },
        "treeGridMode" : 0,
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          }
        },
        "enableRootSelect" : false,
        "outputIconDefault" : true,
        "rootVisible" : false,
        "name" : "tree",
        "modelid" : "3FC30C20-9322-4F99-B755-05D9ED68DB08",
        "modeltype" : "PSDETREEVIEW"
      }, {
        "controlType" : "SEARCHBAR",
        "name" : "searchbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : {
          "id" : "searchbar"
        },
        "quickGroupCount" : -1,
        "quickSearchMode" : 0,
        "quickSearchWidth" : 0,
        "enableFilter" : false,
        "enableGroup" : false,
        "enableQuickSearch" : false,
        "mobileSearchBar" : false
      }, {
        "caption" : "书",
        "codeName" : "PickupTreeViewcaptionbar",
        "controlType" : "CAPTIONBAR",
        "name" : "captionbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : { }
      } ],
      "getPSDEViewCodeName" : "PickupTreeView",
      "getPSDEViewId" : "1D8E5892-3E6A-4BA7-A558-8493E68D56D5",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEPICKUPTREEVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "title" : "书选择树视图",
      "viewStyle" : "DEFAULT",
      "viewType" : "DEPICKUPTREEVIEW",
      "xDataControlName" : "tree",
      "enableDP" : true,
      "enableFilter" : true,
      "enableSearch" : true,
      "expandSearchForm" : true,
      "pickupMode" : true,
      "modelid" : "e1725a6abbd6baac5e4ffdd98852869d",
      "modeltype" : "PSAPPDEVIEW"
    },
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  }, {
    "codeName" : "Samplelist",
    "controlStyle" : "EXTVIEW1",
    "controlType" : "LIST",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSLISTS/Samplelist.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "groupMode" : "NONE",
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field_text_dynamic",
        "viewFieldName" : "dataitem"
      } ],
      "codeName" : "Usr0506765794",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0506765794.json",
      "layoutMode" : "FLEX",
      "logicName" : "samplelist列表",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getRootPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container1",
        "getPSLayout" : {
          "align" : "space-between",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container2",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "主文本",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "srfmajortext",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "name" : "srfmajortext"
            },
            "showCaption" : true
          }, {
            "caption" : "内容",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "content",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "name" : "content"
            },
            "showCaption" : true
          } ]
        }, {
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container3",
          "getPSLayout" : {
            "dir" : "row",
            "layout" : "FLEX",
            "vAlign" : "center"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "actionType" : "UIACTION",
            "buttonStyle" : "DEFAULT",
            "caption" : "项行为",
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "action1",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "simplelist_itempanel_action1"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "项行为",
              "codeName" : "panel_Usr0506765794_action1_click",
              "fullCodeName" : "Book_panel_Usr0506765794_action1_click",
              "name" : "项行为",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "CUSTOM",
              "uIActionTag" : "panel_Usr0506765794_action1_click",
              "uIActionType" : "DEUIACTION",
              "id" : "panel_Usr0506765794_action1_click@Book"
            },
            "tooltip" : "项行为",
            "uIActionTarget" : "NONE",
            "showCaption" : true
          }, {
            "actionType" : "UIACTION",
            "buttonStyle" : "DEFAULT",
            "caption" : "项行为2",
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "action2",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "simplelist_itempanel_action2"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "项行为2",
              "codeName" : "panel_Usr0506765794_action2_click",
              "fullCodeName" : "Book_panel_Usr0506765794_action2_click",
              "name" : "项行为2",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "CUSTOM",
              "uIActionTag" : "panel_Usr0506765794_action2_click",
              "uIActionType" : "DEUIACTION",
              "id" : "panel_Usr0506765794_action2_click@Book"
            },
            "tooltip" : "项行为2",
            "uIActionTarget" : "NONE",
            "showCaption" : true
          }, {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "field_text_dynamic",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "field_text_dynamic",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "viewFieldName" : "dataitem"
          } ]
        } ]
      } ],
      "layoutPanel" : true,
      "name" : "simplelist_itempanel",
      "modelid" : "E0F9BAB5-7A37-4620-938E-B2AA4B0DE01D",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "samplelist",
    "mobListStyle" : "EXTVIEW1",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SIMPLELIST"
    },
    "getPSControls" : [ {
      "codeName" : "Usr2MPickupViewsimplelist_quicktoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "快速操作工具栏",
      "name" : "simplelist_quicktoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "simplelist_quicktoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "buttonStyle" : "WARNING",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "simplelist_quicktoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "getPSUIAction" : {
          "buttonStyle" : "WARNING",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.NEW"
          },
          "caption" : "新建",
          "codeName" : "New",
          "fullCodeName" : "New",
          "name" : "表格界面_新建操作",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "predefinedType" : "GRIDVIEW_NEWACTION",
          "refreshMode" : 1,
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.NEW"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "New",
          "uIActionType" : "DEUIACTION",
          "reloadData" : true
        },
        "tooltip" : "新建",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
        },
        "caption" : "关闭",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "simplelist_quicktoolbar_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf08b@FontAwesome",
          "cssClass" : "fa fa-sign-out"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
          },
          "caption" : "关闭",
          "codeName" : "Exit",
          "fullCodeName" : "Exit",
          "name" : "编辑界面_退出操作",
          "getPSSysImage" : {
            "glyph" : "xf08b@FontAwesome",
            "cssClass" : "fa fa-sign-out"
          },
          "predefinedType" : "EDITVIEW_EXITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Exit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "关闭",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "4B910475-5D70-462A-982D-356D14AF6724",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "Usr2MPickupViewsimplelist_batchtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "批操作工具栏",
      "name" : "simplelist_batchtoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "simplelist_batchtoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "simplelist_batchtoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "删除",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionTarget" : "MULTIKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "项测试",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "simplelist_batchtoolbar_deuiaction2"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEDATA",
          "caption" : "打开HTML界面",
          "codeName" : "OpenHtml",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "Book_OpenHtml",
          "htmlPageUrl" : "https://www.baidu.com",
          "name" : "OpenHtml",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "OpenHtml",
          "uIActionType" : "DEUIACTION",
          "id" : "OpenHtml@Book"
        },
        "tooltip" : "项测试",
        "uIActionTarget" : "SINGLEDATA",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "5F1F0A99-49FB-42C2-93D5-4B5741381C23",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "dataitem",
      "getPSAppDEField" : {
        "name" : "FIELD9",
        "codeName" : "Field9"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pbookid",
      "getPSAppDEField" : {
        "name" : "PBOOKID",
        "codeName" : "Pbookid"
      }
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "LIST_RENDER",
      "pluginCode" : "testlistplugin"
    },
    "pagingMode" : 3,
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "singleSelect" : false,
    "name" : "simplelist",
    "modelid" : "95A84A82-F14C-405F-9ED5-7C25ACFCE7DC",
    "modeltype" : "PSDELIST"
  }, {
    "caption" : "书",
    "codeName" : "Usr2MPickupViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr2MPickupView",
  "getPSDEViewId" : "B3724682-D5A2-4DE9-B005-3B4DD2B2145F",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "书数据多项选择视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMPICKUPVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "53c8d685dbd8f7cdb2d4574571feb70b",
  "modeltype" : "PSAPPDEVIEW"
}